Mail archive
alpine-aports

[alpine-aports] [PATCH v3.4] main/postfixadmin: security upgrade to 3.0.2 - fixes #6836

From: Sergei Lukin <sergej.lukin_at_gmail.com>
Date: Mon, 13 Feb 2017 09:06:46 +0000

CVE-2017-5930: allows to delete protected aliases
---
Upgrading from 3.0 beta3 (= 2.93) to 3.0.2
Looks that there were no major changes made
 main/postfixadmin/APKBUILD | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)
diff --git a/main/postfixadmin/APKBUILD b/main/postfixadmin/APKBUILD
index 2b76413..3dc780b 100644
--- a/main/postfixadmin/APKBUILD
+++ b/main/postfixadmin/APKBUILD
_at_@ -1,35 +1,35 @@
+# Contributor: Sergei Lukin <sergej.lukin_at_gmail.com>
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=postfixadmin
-pkgver=2.93
+pkgver=3.0.2
 pkgrel=0
 pkgdesc="Web Based Management tool for Postfix"
 url="http://postfixadmin.com/"
 arch="noarch"
 license="GPL"
-depends="php postfix"
+depends="php5 postfix"
 makedepends=""
 install=""
 subpackages=""
 source="http://downloads.sourceforge.net/project/postfixadmin/postfixadmin/postfixadmin-$pkgver/postfixadmin-$pkgver.tar.gz"
 
-_builddir="$srcdir"/postfixadmin-$pkgver
+builddir="$srcdir"/postfixadmin-$pkgver
+
+# secfixes:
+#   3.0.2-r0:
+#   - CVE-2017-5930
+
 prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	default_prepare || return 1
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	mkdir -p "$pkgdir"/usr/share/webapps/postfixadmin \
 		"$pkgdir"/etc/postfixadmin
 	cp -r * "$pkgdir"/usr/share/webapps/postfixadmin/
_at_@ -41,6 +41,6 @@ package() {
 		"$pkgdir"/usr/share/webapps/postfixadmin/config.inc.php
 }
 
-md5sums="d9a0e19bdb3241411cac8446d511fdb4  postfixadmin-2.93.tar.gz"
-sha256sums="cc1ec188ea90254d8365081171dbbf2bfdf2a020bc943725b5a957de34bc1769  postfixadmin-2.93.tar.gz"
-sha512sums="ef2d7b1112c18722ba94fac3c34b0b9bbd961ba3bf1eb866fecd63ccceca9feccca53efcb54dc1d4c109fd407ba2cee642f310a9b3254b164137e41664de0af9  postfixadmin-2.93.tar.gz"
+md5sums="84fd489199832cb40af8315c0cb3ad4f  postfixadmin-3.0.2.tar.gz"
+sha256sums="9a4edb111258c90912aea66ad1dd684445b4f03f08f8549b9d708336ae019c8c  postfixadmin-3.0.2.tar.gz"
+sha512sums="19db70cc59e8e41356e4cd632b0cb9df8d8de0f0451e7e2c84d61a0aa6ede5cc93bbf8914786a2eec012e4c013ad130a001d143ce869aa54b54a50fb798ed92b  postfixadmin-3.0.2.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Feb 13 2017 - 09:06:46 GMT